[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.MouseMove

Handles a mouse move message including dragging a control band.

## Declaration

Source position: extctrls.pp line 1640

`protected procedure TCustomControlBar.MouseMove(`
`Shift: TShiftState;`
`X: Integer;`
`Y: Integer`
`); override;`

## Arguments

`Shift` |  | Shift, Ctrl, or Alt modifier for the mouse event.
`X` |  | Horizontal coordinate for the mouse pointer.
`Y` |  | Vertical coordinate for the mouse pointer.

## Description

MouseMove is an overridden method in TCustomControlBar which handles a mouse move message at the specified X and Y position using the specified Shift modifier. It calls the inherited method on entry to update the mouse position for the DragManager (when active) and to signal the OnMouseMove event handler (when assigned).

MouseMove calls ChangeCursor to update the cursor shape when a band move operation is started. If the operation is already active and handled by the DragManager, the MoveBand method is called for the band under the mouse pointer. DragControl is called if the DragManager does not handle the action for the specified position.

## See also

TCustomControlBar.ChangeCursor |  | Changes the cursor to the specified shape.
TCustomControlBar.MoveBand |  | Performs actions needed when a band is moved to new position.
TCustomControlBar.DragControl |  | Signals an assigned OnBandDrag event handler and starts a drag operation for the specified control.
TControl.OnMouseMove |  | Event handler signalled when the mouse pointer is moved in the control.
TControl.MouseMove |  | Handler for MouseMove events.
TControl.WMMouseMove |  | Message handler for mouse move events.
DragManager |  | The current DragManager (always TDragManagerDefault).
TDragManager |  | The abstract base class used to manage dragging of controls (for drop or dock operations).